cURL
curl -X GET "https://api.fitsociety.io/public/v1/finance/subscriptions/{subscriptionId}" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/finance/subscriptions/{subscriptionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/finance/subscriptions/{subscriptionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"subscription": {
"subscriptionId": "66f7b8b1e13c8d25f4d3d90a",
"status": "active",
"paymentMethod": "string",
"startDate": "2026-07-14T10:00:00.000Z",
"endDate": "2026-07-14T10:00:00.000Z",
"nextBillingDate": "2026-07-14T10:00:00.000Z",
"lastPaymentDate": "2026-07-14T10:00:00.000Z",
"pausedUntil": "2026-07-14T10:00:00.000Z",
"autoRenew": true,
"client": {
"clientId": "66f7b8b1e13c8d25f4d3d90a",
"name": "Example name"
},
"product": {
"productId": "66f7b8b1e13c8d25f4d3d90a",
"name": "Example name",
"price": 1,
"currency": "EUR",
"period": "string"
},
"extraServices": [
{
"name": "Example name",
"price": 1,
"quantity": 1,
"vatPercentage": 1,
"adjustmentType": "string"
}
],
"oneTimeCharges": [
{
"name": "Example name",
"price": 1,
"quantity": 1,
"status": "active",
"chargeOn": "string",
"isDeposit": true
}
]
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Subscriptions
Get subscription
Requires finance_subscriptions:read. Returns the stable subscription detail DTO.
GET
/
public
/
v1
/
finance
/
subscriptions
/
{subscriptionId}
cURL
curl -X GET "https://api.fitsociety.io/public/v1/finance/subscriptions/{subscriptionId}" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/finance/subscriptions/{subscriptionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/finance/subscriptions/{subscriptionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"subscription": {
"subscriptionId": "66f7b8b1e13c8d25f4d3d90a",
"status": "active",
"paymentMethod": "string",
"startDate": "2026-07-14T10:00:00.000Z",
"endDate": "2026-07-14T10:00:00.000Z",
"nextBillingDate": "2026-07-14T10:00:00.000Z",
"lastPaymentDate": "2026-07-14T10:00:00.000Z",
"pausedUntil": "2026-07-14T10:00:00.000Z",
"autoRenew": true,
"client": {
"clientId": "66f7b8b1e13c8d25f4d3d90a",
"name": "Example name"
},
"product": {
"productId": "66f7b8b1e13c8d25f4d3d90a",
"name": "Example name",
"price": 1,
"currency": "EUR",
"period": "string"
},
"extraServices": [
{
"name": "Example name",
"price": 1,
"quantity": 1,
"vatPercentage": 1,
"adjustmentType": "string"
}
],
"oneTimeCharges": [
{
"name": "Example name",
"price": 1,
"quantity": 1,
"status": "active",
"chargeOn": "string",
"isDeposit": true
}
]
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_.... Each resource request rechecks the token company's current provider access. Disabling access blocks existing tokens with 403 auth.provider_unavailable.
Path Parameters
Example:
"66f7b8b1e13c8d25f4d3d90a"